--- old/usr/src/grub/capability	2013-08-02 17:18:11.289286399 -0400
+++ new/usr/src/grub/capability	2013-08-02 17:18:11.300173986 -0400
@@ -24,22 +24,12 @@
 # This file defines the current capabilities of GRUB over and above that
 # supported by the standard distribution
 #
-# The version field contains the version of the associated GRUB software.
-# The version is incremented by .1 (minor version number) each time there
-# is a bugfix or enhancement of GRUB. In addition, the major version number
-# is bumped up by 1 every time a release boundary is crossed. Thus if in S11
-# the starting version is 3, in S12 the starting version will be 4.
-# Note that the first major number in each sequence is a whole integer
-# i.e. 2.0 is truncated to 2 and 3.0 is truncated to 3.
+# The version field contains the version of the associated GRUB software.  The
+# version is incremented by 1 each time there is a bugfix or enhancement to
+# GRUB necessitating that the boot blocks be reinstalled for that fix or
+# enhancement to take effect.
 #
-# NOTE: Live Upgrade is currently unable to handle decimal fractions (i.e.
-# minor version numbers) so the version number is being bumped up in
-# integer increments until Live Upgrade is fixed.
-#
-# This file and the associated version are Solaris specific and are
-# not a part of the open source distribution of GRUB.
-#
-VERSION=21
+VERSION=22
 dboot
 xVM
 zfs
--- old/usr/src/grub/grub-0.97/stage2/fsys_zfs.c	2013-08-02 17:18:11.649454111 -0400
+++ new/usr/src/grub/grub-0.97/stage2/fsys_zfs.c	2013-08-02 17:18:11.660514405 -0400
@@ -960,6 +960,9 @@
  * List of pool features that the grub implementation of ZFS supports for
  * read. Note that features that are only required for write do not need
  * to be listed here since grub opens pools in read-only mode.
+ *
+ * When this list is updated the version number in usr/src/grub/capability
+ * must be incremented to ensure the new grub gets installed.
  */
 static const char *spa_feature_names[] = {
 	"org.illumos:lz4_compress",
